Skip to main content
`Ctrl`+`K`

# ISBlockGetSize

Returns the global number of blocks in parallel in the index set of `ISType` `ISBLOCK`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISBlockGetSize(IS is, PetscInt *size)

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- size - the global number of blocks

## See Also

Low-level Vector Communication, `IS`, `ISGetBlockSize()`, `ISBlockGetLocalSize()`, `ISGetSize()`, `ISCreateBlock()`, `ISBLOCK`

## Level

intermediate

## Location

src/vec/is/is/impls/block/block.c

## Implementations

ISBlockGetSize_Block() in src/vec/is/is/impls/block/block.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages